Go to the latest version of this document.

# ``twisted`.`conch`.`ssh`.`filetransfer`.`SFTPError``

exception documentation

`class SFTPError(Exception): (source)`

Constructor: `SFTPError(errorCode, errorMessage, lang)`

View In Hierarchy

Undocumented

Method | `__init__` | Undocumented
Method | `__str__` | Undocumented
Instance Variable | `code` | Undocumented
Instance Variable | `lang` | Undocumented
Property | `message` | A string received over the network that explains the error to a human.
Instance Variable | `_message` | Undocumented

def __init__(self, errorCode, errorMessage, lang=''): (source)

Undocumented

def __str__(self) -> `str`: (source)

Undocumented

code = (source)

Undocumented

lang = (source)

Undocumented

@property
message = (source)

A string received over the network that explains the error to a human.

_message = (source)

Undocumented